std::atomic::operatorT(3)

NAME
std::atomic::operatorT - std::atomic::operatorT

Synopsis
   operator T() const noexcept; (since C++11)
   operator T() const volatile noexcept;
   Atomically loads and returns the current value of the atomic variable. Equivalent to
   load().
   The volatile-qualified version is deprecated if (since C++20)
   std::atomic<T>::is_always_lock_free is false.

Parameters
   (none)

Return value
   The current value of the atomic variable.

See also
   load atomically obtains the value of the atomic object
        (public member function)